# Changelog

All notable changes to this project will be documented in this file.

The format is based on [CHANGELOG.md](https://keepachangelog.com/en/1.1.0/) and this project adheres to [Semantic Versioning](https://semver.org/).
_______________________________________________________________________________
## [1.3.0] - 2025-05-22

- feat: make default_port optional in `docker run` (908a705)
- feat: set new variable `default_port` for tools.json (001b5f0)
- feat: add Caido tool (e309426)
- feat: add poetry-core dependency (04bf180)
- feat: update dependencies (378deab)
- Merge branch 'feat/add-katana' into 'main' (4eacf7b)
- chore: Change the domain used in katana's examples (d555df0)
- feat: Add katana tool (114cbb5)
- Merge branch 'feat/add-wpscan' into 'main' (0787994)
- Feat: Add WPScan tool (68363be)
- feat: add new evil-winrm logo (6dbf2ea)
- Merge branch 'feat/add-evil-winrm' into 'main' (60d2544)
- fix: Correct size requirements and change image format to svg (ef19a85)
- Add image file for Evil-WinRm tool. (4861d4d)
- feat: Add Evil-winRM tool (e8e4191)
- Merge branch 'improvement/john-size-requirements' into 'main' (879bfd3)
- Add more accurate size requirements for John The Ripper (actual disk size as opposed to compressed size) (0437c4c)
- Merge branch 'bug/update-copyright-year' into 'main' (b2580cf)
- Update the copyright year from 2024 to 2025 (7a59118)
- refactor: restructure ToolCard components for modularity (9ccf223)
- chore: update description about tool_widgets (3bcd105)
- refactor(app.py): enhance code readability and static method structure (ca994a4)
- refactor: move docker controller to proper folder (12b7e1e)
- Merge branch 'main' into 'main' (46147f8)
- feat: add "John the Ripper" tool (e73f257)
- build(debian): add top10 category to the desktop entry (7ce32fe)
- build(ci): remove build deps (a5501b5)
- chore(Makefile): add more debian folders/files to clean target (a01fa06)
- chore(Makefile): update clean target to remove "files" inside debian folder (70b59b5)
- feat: remove Debian temp build files (32fc86c)
- Merge branch 'unit-tests' into 'main' (911197b)
- Parametrize tools icons tests (f61feee)
- Remove debug print (65aee35)
- Parametrize start button UI tests (66a625c)
- Parametrize docker status tests (73a914d)
- Extract assert_right_icon function (5c0aa50)
- Add tests for app initialization (0d11bee)
- Add tests for stop container (a834b91)
- Add tests for start container (30623f8)
- Add tests for the images check (119bfcd)
- Fix coverage issue due to PySide6 bindings (b00b805)
- Test docker behaviour (9521b73)
- Regenerate poetry.lock after rebasing onto main (da60d4e)
- Rename subprocess fixture to avoid name hiding (6b49983)
- Refactor subprocess_* fixtures (8f2fa89)
- Add unit tests for tools loading (e946fe1)
- Create test for GUI tools loading (fc428cf)
- chore: update README.md with PySide6 change (695e1bd)
- build(debian): remove dependencies from control (7926f3f)
- chore: update poetry lock file (86610cd)
- build(ci): remove pyside6-tools dependency (a502a4f)
- build(ci): add PySide6 to gitlab CI (47b0190)
- refactor: move from PyQt6 to PySide6 (354f6de)
- build: remove python -oo flags (f707476)
- style: update pylint checking paths, add some missing docstring (a417ad0)